// GMDLL_TesterDlg.h : header file
//

#pragma once
#if !defined(AFX_GMDLL_TESTERDLG_H__D3C0DED3_9219_44DD_9464_5E4582C637BB__INCLUDED_)
#define AFX_GMDLL_TESTERDLG_H__D3C0DED3_9219_44DD_9464_5E4582C637BB__INCLUDED_

#include "GM_MapWindow.h"

/////////////////////////////////////////////////////////////////////////////
// CGMDLL_TesterDlg dialog

class CGMDLL_TesterDlg : public CDialog
{
//-------------------------------------------------------------------
public: // FUNCTIONS
//-------------------------------------------------------------------

    //---------------------------------------------------------------
    // Constructor
	CGMDLL_TesterDlg
    (
        CWnd*   aParent = NULL
    );

    //---------------------------------------------------------------
    // Destructor
	~CGMDLL_TesterDlg();

//-------------------------------------------------------------------
protected: // OVERRIDDEN FUNCTIONS
//-------------------------------------------------------------------

	//{{AFX_VIRTUAL(CGMDLL_TesterDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

//-------------------------------------------------------------------
protected: // MESSAGE MAP FUNCTIONS
//-------------------------------------------------------------------

	//{{AFX_MSG(CGMDLL_TesterDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCloseLayer();
	afx_msg void OnLoadLayer();
	afx_msg void OnSaveAsGeotiff();
	afx_msg void OnSaveAsJpg();
	afx_msg void OnToggleAutoCrop();
	afx_msg void OnPanDown();
	afx_msg void OnPanLeft();
	afx_msg void OnPanRight();
	afx_msg void OnPanUp();
	afx_msg void OnZoomIn();
	afx_msg void OnZoomOut();
	afx_msg void OnZoomToAll();
	afx_msg void OnZoomToSelLayer();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLoadTerraserver();
	afx_msg void OnDrawGridLines();
	afx_msg void OnGridGlobal();
	afx_msg void OnGridLatLon();
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnSetProjToGeographic();
	afx_msg void On3dView();
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG

//-------------------------------------------------------------------
protected: // DECLARATIONS
//-------------------------------------------------------------------

	DECLARE_MESSAGE_MAP()

//-------------------------------------------------------------------
private: // TYPES
//-------------------------------------------------------------------

    typedef std::vector< GM_LayerHandle_t32 > LayerHandleList_t;

//-------------------------------------------------------------------
private: // FUNCTIONS
//-------------------------------------------------------------------

    //---------------------------------------------------------------
    void
    DisplayVectorFeatureInfo
    (
        GM_FeatureClassType_t8      aFeatureClass,
        const GM_VectorFeature_t&   aFeature
    );

    //---------------------------------------------------------------
    void
    FillLayerList();

//-------------------------------------------------------------------
private: // DATA
//-------------------------------------------------------------------

	//{{AFX_DATA(CGMDLL_TesterDlg)
	enum { IDD = IDD_GMDLL_TESTER_DIALOG };
	CListCtrl	mLayerList;
	//}}AFX_DATA

	HICON           mIcon;
    GM_MapWindow    mMapWindow;     // map window - interface into SDK

public:
    afx_msg void OnBnClickedLayerDisplayOptions();
}; // end of class CGMDLL_TesterDlg

#endif // end of file GMDLL_TesterDlg.h
